# lang

lang($testlang as xs:string?) → xs:boolean

Returns true if the xml:lang value for the context node matches the given language

Arguments
| $testlang | xs:string? | The language being tested for
Result | xs:boolean

lang($testlang as xs:string?, $node as node()) → xs:boolean

Returns true if the xml:lang value for the supplied node matches the given language

Arguments
| $testlang | xs:string? | The language being tested for
| $node | node() | The node being tested
Result | xs:boolean

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next